# Xircuits Utility Component Library

This library consists of utility components for Xircuits, designed to handle common tasks like printing messages, concatenating strings, zipping directories, file deletion, timing, and sleep operations. 

## Installation

The components inside the `utils` component library have no requirements and works out of the box. It is also included in the base xircuits installation. 

## Components

- **`Print`**: Outputs a specified message to the console.
- **`ConcatString`**: Concatenates two string inputs into one output string.
- **`ZipDirectory`**: Creates or updates a ZIP file from a specified directory. It can include or exclude the top directory in the ZIP file.
- **`DeleteFile`**: Deletes a specified file from the filesystem.
- **`TimerComponent`**: Measures and outputs the elapsed time between instances or starts a new timer.
- **`SleepComponent`**: Pauses the workflow for a specified number of seconds.

## Usage

These utility components are easily integrated into any Xircuits workflow. Use them for basic file operations, timing, and control flow management. They are particularly useful for debugging, file management, and timing tasks in a Xircuits workflow.
